Bug 180328 - Preedit isn't sometimes updated
Preedit isn't sometimes updated
Product: Fedora
Classification: Fedora
Component: gtkhtml3 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
: i18n
Depends On:
  Show dependency treegraph
Reported: 2006-02-07 06:48 EST by Akira TAGOH
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.11.92-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-03 23:05:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2006-02-07 06:48:16 EST
Description of problem:
Preedit strings has to be updated through each inputs. but it stops updating
sometimes and it continues updating with next or next next inputs or so.

Version-Release number of selected component (if applicable):

How reproducible:
sometimes but reproducible

Steps to Reproduce:
1.run scim or make sure if it's running.
2.run evolution with XMODIFIERS=@im=SCIM GTK_IM_MODULE=xim LANG=ja_JP.UTF-8 and
open composer
3.press ctrl+space and type something
Actual results:
Preedit strings isn't sometimes updated.

Expected results:
Preedit strings should be updated and displayed as you typed.

Additional info:
Comment 1 Akira TAGOH 2006-02-07 06:51:08 EST
forgot to mention this:
With kinput2 that we used as Japanese IM before, Evolution freezes after input a
character or two.
Comment 2 Mayank Jain 2006-09-02 08:43:59 EDT
Tagoh san, I'm not able to reproduce this bug.

Also, can you please explain the meaning of this line?
If we are setting GTK_IM_MODULE to xim, how does scim gets activated. AM i
interpreting something wrong here?

Please list the exact steps that lead you to the bug (preedit/crash).

Comment 3 Akira TAGOH 2006-09-03 23:05:59 EDT
me neither right now. it looks good, and no freezes with kinput2. so maybe it
was already fixed in the recent release or something went wrong on my testbox. I
don't know.

Comment 4 Mayank Jain 2006-09-04 03:13:03 EDT
Thanks Tagoh san :)

Note You need to log in before you can comment on or make changes to this bug.